[project]
name = "itk-demo-qc-analysis"
version = "1.0.0"
description = ""
authors = [{name = "Wolfgang Wagner", email = "wolfgang.wagner@cern.ch"}]

requires-python = "~=3.12.8"
dependencies = [
"fastapi~=0.115.6",
"pyconfigdb~=2.4.1",
"module-qc-analysis-tools~=2.3.0",
"config-checker~=2.0.0",
"pyregistry~=3.1.1",
"pydantic~=2.5.3",
"uvicorn~=0.34.0",
"rich~=13.9.4",
]

[tool.uv.sources]
config-checker = { index = "gitlab" }
pyregistry = { index = "gitlab" }
qc-models = {path = "../server"}

[[tool.uv.index]]
name = "gitlab"
url = "https://gitlab.cern.ch/api/v4/groups/33370/-/packages/pypi/simple"

[dependency-groups]
dev = [
    "black~=23.11.0",
    "qc-models"
]